# DataExchange
TKXSBase
MoniTool

# MoniTool_DataMapNodeOfDataMapOfShapeTransient Class Reference

`#include <MoniTool_DataMapNodeOfDataMapOfShapeTransient.hxx>`

## Public Member Functions

| MoniTool_DataMapNodeOfDataMapOfShapeTransient (const TopoDS_Shape &K, const Handle(Standard_Transient)&I, const TCollection_MapNodePtr &n)
TopoDS_Shape & | Key () const
Handle_Standard_Transient & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TopoDS_Shape | myKey
Handle_Standard_Transient | myValue

## Constructor & Destructor Documentation

MoniTool_DataMapNodeOfDataMapOfShapeTransient::MoniTool_DataMapNodeOfDataMapOfShapeTransient | ( | const TopoDS_Shape & | K,
|  | const Handle(Standard_Transient)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const MoniTool_DataMapNodeOfDataMapOfShapeTransient::Handle | ( | Standard_Type |  | ) | const

TopoDS_Shape& MoniTool_DataMapNodeOfDataMapOfShapeTransient::Key | ( |  | ) | const

Handle_Standard_Transient& MoniTool_DataMapNodeOfDataMapOfShapeTransient::Value | ( |  | ) | const

## Field Documentation

TopoDS_Shape MoniTool_DataMapNodeOfDataMapOfShapeTransient::myKey `[private]`

Handle_Standard_Transient MoniTool_DataMapNodeOfDataMapOfShapeTransient::myValue `[private]`

The documentation for this class was generated from the following file:

- MoniTool_DataMapNodeOfDataMapOfShapeTransient.hxx